import { default as Column } from '../../core/column/Column';
import { default as Module } from '../../core/Module.js';
import { default as Tabulator } from '../../core/Tabulator';

export default class Popup extends Module {
    static moduleName: string;
    columnSubscribers: Record<string, any>;
    constructor(table: Tabulator);
    initialize(): void;
    _componentPopupCall(component: any, contents: any, position?: any): void;
    initializeRowWatchers(): void;
    initializeGroupWatchers(): void;
    initializeColumn(column: Column): void;
    initializeColumnHeaderPopup(column: Column): void;
    loadPopupTableCellEvent(option: string, e: any, cell: any): void;
    loadPopupTableColumnEvent(option: string, e: any, column: any): void;
    loadPopupEvent(contents: any, e: any, component: any, position?: any): void;
    loadPopup(e: any, component: any, contents: any, renderedCallback: any, position?: any): void;
}
